Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IActivity

    com.change_vision.jude.api.inf.model.IActivity

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IActivity

extends INamedElement

Interface for Activities.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivityDiagram` | `getActivityDiagram()` Get Activity Diagram.
`abstract IActivityNode[]` | `getActivityNodes()` Get ActivityNodes.
`abstract IAction[]` | `getCallBehaviorActions()` Get CallBehaviorActions.
`abstract IFlow[]` | `getFlows()` Get Flows.
`abstract IPartition[]` | `getPartitions()` Get Partitions.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getPartitions

    abstract IPartition[] getPartitions()

  Get Partitions.

  Returns:
    The array of Partitions. Return the empty array if there is none.

### getActivityNodes

    abstract IActivityNode[] getActivityNodes()

  Get ActivityNodes.

  Returns:
    The array of ActivityNodes. Return the empty array if there is none.

### getFlows

    abstract IFlow[] getFlows()

  Get Flows.

  Returns:
    The array of Flows. Return the empty array if there is none.

### getActivityDiagram

    abstract IActivityDiagram getActivityDiagram()

  Get Activity Diagram.

  Returns:
    Activity Diagram.

### getCallBehaviorActions

    abstract IAction[] getCallBehaviorActions()

  Get CallBehaviorActions.

  Returns:
    The array of CallBehaviorActions. Return the empty array if there is none.
  Since:
    6.7

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD